From 2ed9d13d20b00912dd3bafe95d8cb69c48a7276f Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Feb 01 2021 02:55:55 +0000
Subject: [PATCH 2078/2232] Ignore clippy upper_case_acronyms lint in ffi module


The user may prefer to use C++ naming conventions rather than Rust
naming conventions on the language boundary, which isn't necessarily
bad.

---

diff --git a/macro/src/expand.rs b/macro/src/expand.rs
index 6b555d8..1df0463 100644
--- a/macro/src/expand.rs
+++ b/macro/src/expand.rs
@@ -123,7 +123,7 @@ fn expand(ffi: Module, doc: Doc, attrs: OtherAttrs, apis: &[Api], types: &Types)
         #doc
         #attrs
         #[deny(improper_ctypes)]
-        #[allow(non_camel_case_types, non_snake_case)]
+        #[allow(non_camel_case_types, non_snake_case, clippy::upper_case_acronyms)]
         #vis #mod_token #ident #expanded
     }
 }
diff --git a/tests/ffi/lib.rs b/tests/ffi/lib.rs
index e8e9b65..32d739d 100644
--- a/tests/ffi/lib.rs
+++ b/tests/ffi/lib.rs
@@ -8,8 +8,7 @@
     clippy::ptr_arg,
     clippy::trivially_copy_pass_by_ref,
     clippy::unnecessary_wraps,
-    clippy::unused_self,
-    clippy::upper_case_acronyms
+    clippy::unused_self
 )]
 
 pub mod cast;

